/*------------------------------------------------------------------------------

	  Sample.r	-  Resources for SimpleInMovies

	  Copyright Apple Computer, Inc. 1985-1991
	  All rights reserved.

------------------------------------------------------------------------------*/
/* Here we use new system 7 features in the creation of windows */
#ifndef SystemSevenOrLater
#define SystemSevenOrLater 1
#endif
#include "Types.r"
#include "SysTypes.r"

/* These define's are used in the MENU resources to disable specific
   menu items. */
#define AllItems	0b1111111111111111111111111111111	/* 31 flags */
#define MenuItem1	0b00001
#define MenuItem2	0b00010
#define MenuItem3	0b00100
#define MenuItem4	0b01000
#define MenuItem5	0b10000
#define MenuItem6	0b100000
#define MenuItem7	0b1000000
#define MenuItem8	0b10000000
#define MenuItem9	0b100000000

type 'desa' as 'STR ';
#define	rUserAlert			129		/* error user alert */
#define	rLandscapeAlert		130		/* landscape orientation set user alert */
#define	r32BitQDAlert   	131     /* 32-bit QD required alert */
#define	rNOPrGeneralAlert   132     /* the NOPrGeneral alert */


resource 'SIZE' (-1, purgeable) {
	saveScreen,
	acceptSuspendResumeEvents,
	disableOptionSwitch,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreChildDiedEvents,
	not32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	1048576,
	1048576
};

resource 'vers' (1) {
	0x01, 0x00, release, 0x00,
	verUs,
	"0.00",
	"0.00, Copyright  1991 Apple Computer, Inc."
};

resource 'desa' (0, purgeable) {
	"Sample Moovie Playing App by Macintosh Developer Technical Support"
};

resource 'BNDL' (128, purgeable) {
	'desa',
	0,
	{
	'ICN#', {0, 128},
	'FREF', {0, 128}
	}
};

resource 'FREF' (128, purgeable) {
	'APPL',
	0,
	""
};



resource 'ICN#' (128, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 07FF FFE0 0800 0010 09FF FF90"
		$"0A00 0050 0A00 0050 0AF3 E750 0A88 8850"
		$"0A88 8850 0A88 8650 0A88 8150 0A88 8150"
		$"0AF0 8E50 0A00 0050 0A00 0050 0A00 0050"
		$"09FF FF90 0800 0010 0FFF FFF0 0800 0010"
		$"0800 0010 0800 0010 0800 7F10 0800 0010"
		$"0800 0010 0800 0010 0800 0010 07FF FFE0"
		$"0400 0020 0400 0020 0400 0020 07FF FFE0",
		/* [2] */
		$"0000 0000 07FF FFE0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 07FF FFE0"
		$"07FF FFE0 07FF FFE0 07FF FFE0 07FF FFE0"
	}
};

/* Here we use new system 7 features in the creation of windows */
resource 'WIND' (128, "Sample Window") {
	{40, 0, 240, 200},
	noGrowDocProc,
	invisible,
	goAway,
	0x0,
	"Sample Window",
	staggerParentWindowScreen,
};

resource 'DLOG' (128, "About Sample") {
	{66, 102, 224, 600}, /* normal 400 */
	dBoxProc, visible, noGoAway, 0x0, 128, "",centerParentWindowScreen
};

resource 'DITL' (128) {
	{	/* array DITLarray: 9 elements */
		/* [1] */
		{130, 205, 150, 284},
		Button {
			enabled,
			"Continue"
		},
		/* [2] */
		{104, 144, 118, 320},
		StaticText {
			disabled,
			""
		},
		/* [3] */
		{88, 144, 105, 238},
		StaticText {
			disabled,
			""
		},
		/* [4] */
		{8, 32, 26, 273},
		StaticText {
			disabled,
			"Macintosh Programmer's Workshop"
		},
		/* [5] */
		{32, 50, 49, 283},
		StaticText {
			disabled,
			"Sample Movie Loading Application"
		},
		/* [6] */
		{56, 16, 76, 317},
		StaticText {
			enabled,
			"Copyright  1985-1991 Apple Computer, In"
			"c."
		},
		/* [7] */
		{88, 16, 104, 144},
		StaticText {
			enabled,
			"Source Language:"
		},
		/* [8] */
		{104, 16, 120, 144},
		StaticText {
			enabled,
			"by:"
		},
		/* [9] */
		{5, 334, 155, 484},
		UserItem {
			enabled
		}
	}
};

resource 'DLOG' (130) {
	{40, 40, 240, 280},
	altDBoxProc,
	visible,
	goAway,
	0x0,
	131,
	"",
	centerParentWindowScreen
};

resource 'DITL' (131) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{170, 138, 190, 196},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{170, 33, 190, 91},
		Button {
			enabled,
			"No Way!"
		},
		/* [3] */
		{14, 46, 154, 186},
		UserItem {
			enabled
		},
		/* [4] */ {0, 4, 15, 392},
		staticText {
			disabled,
			"Set this frame as movie poster?"
		}
	}
};

resource 'DLOG' (250, purgeable) {
	{40, 20, 144, 400},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	250,
	"",
	noAutoCenter
};
resource 'DITL' (250, purgeable) {
	{
		{71, 315, 91, 367},		Button { enabled, "Save" },
		{0, -1000, 20, 2},		StaticText { disabled, "=S190001,=s190001,=D190003,=d190003,=.190104,1B190004" },
		{71, 80, 91, 162},		Button { enabled, "Dont Save" },
		{71, 244, 91, 302},		Button { enabled, "Cancel" },
		{11, 78, 61, 366},		StaticText { disabled, "Save changes to the movie ^0 before ^1?" },
		{11, 23, 43, 55},		Icon { disabled, 2 },
    }
};


resource 'DLOG' (300, purgeable) {
	{0, 0, 216, 350},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	300,
	"",
	noAutoCenter
};

resource 'DITL' (300, purgeable) {
	{	/* array DITLarray: 13 elements */
		/* [1] */
		{161, 252, 181, 332},
		Button {
			enabled,
			"Save"
		},
		/* [2] */
		{130, 252, 150, 332},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{0, 0, 0, 0},
		HelpItem {
			disabled,
			HMScanhdlg {
				-6043
			}
		},
		/* [4] */
		{8, 235, 24, 337},
		UserItem {
			enabled
		},
		/* [5] */
		{32, 252, 52, 332},
		Button {
			enabled,
			"Eject"
		},
		/* [6] */
		{60, 252, 80, 332},
		Button {
			enabled,
			"Desktop"
		},
		/* [7] */
		{29, 12, 127, 230},
		UserItem {
			enabled
		},
		/* [8] */
		{6, 12, 25, 230},
		UserItem {
			enabled
		},
		/* [9] */
		{119, 250, 120, 334},
		Picture {
			disabled,
			11
		},
		/* [10] */
		{157, 15, 173, 227},
		EditText {
			enabled,
			""
		},
		/* [11] */
		{136, 15, 152, 227},
		StaticText {
			disabled,
			"Save as:"
		},
		/* [12] */
		{88, 252, 108, 332},
		UserItem {
			disabled
		},
		/* [13] */
		{188, 13, 206, 128},
		CheckBox {
			enabled,
			"Flatten Movie"
		}
	}
};

data 'DLOG' (450) {
	$"0028 0028 00F0 0118 0001 0100 0100 0000"            /* .(.(............ */
	$"0000 01C2 00"                                       /* .... */
};

resource 'DITL' (450) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{28, 44, 43, 192},
		StaticText {
			disabled,
			"Flattening in progress"
		},
		/* [2] */
		{73, 80, 92, 116},
		StaticText {
			enabled,
			"^0"
		},
		/* [3] */
		{130, 89, 150, 147},
		Button {
			enabled,
			"Cancel"
		},
		/* [4] */
		{74, 124, 90, 199},
		StaticText {
			disabled,
			"% Done"
		}
	}
};

resource 'MENU' (128, "Apple", preload) {
	128, textMenuProc,
	AllItems & ~MenuItem2,	/* Disable item #2 */
	enabled, apple,
	{
		"About Sample",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (129, "File", preload) {
	129, textMenuProc,
	AllItems & ~MenuItem3 & ~MenuItem4,
	enabled, "File",
	{
		"New Movie",
			noicon, "N", nomark, plain;
		"Open Movie",
			noicon, "O", nomark, plain;
		"Close",
		    noicon, "W", nomark,plain;
		"-",
			noicon, nokey, nomark, plain;
		"Save",
		    noicon, "S", nomark,plain;
		"Save As ",
		    noicon, nokey, nomark,plain;
		"-",
			noicon, nokey, nomark, plain;
		"Print",
			noicon, "P", nomark, plain;
		"Page Setup...",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Quit",
			noicon, "Q", nomark, plain
	}
};

resource 'MENU' (130, "Edit", preload) {
	130, textMenuProc,
	AllItems & ~( MenuItem2),	/* Disable item #2 */
	enabled, "Edit",
	 {
		"Undo",
			noicon, "Z", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Cut",
			noicon, "X", nomark, plain;
		"Copy",
			noicon, "C", nomark, plain;
		"Paste",
			noicon, "V", nomark, plain;
		"Clear",
			noicon, nokey, nomark, plain;
		"Select All",
			noicon, "A", nomark, plain
	}
};

resource 'MENU' (131, "Stuff", preload) {
	131, textMenuProc,
	allEnabled,
	enabled, "Movie Stuff",
	{
		"Stop Movie",
			noicon, "P", nomark, plain;
		"Sound Off",
			noicon, nokey, nomark, plain;
		"Next Frame",
			noicon, "F", nomark, plain;
		"Prev Frame",
			noicon, "B", nomark, plain;
		"Loop the Loop",
		    noicon, nokey, nomark, plain;
		"Palindrome",
		    noicon, nokey, nomark, plain;
		"Enable Edits",
			noicon, "E", nomark,plain;
	}
};

resource 'MENU' (132, "More Stuff", preload) {
	132, textMenuProc,
	allEnabled,
	enabled, "and ...",
	{
		"GetTrack/Movie Picts",
			noicon, nokey, nomark, plain;
		"Set Movie Poster",
			noicon, nokey, nomark, plain;
	}
};


resource 'DITL' (429, purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{78, 173, 98, 243},
		Button {
			enabled,
			"Away!"
		},
		/* [2] */
		{31, 74, 68, 257},
		StaticText {
			disabled,
			"The Movie Toolbox or the Controller"
			"Component failed to initialize."
		}
	}
};

resource 'ALRT' (429, purgeable) {
	{50, 30, 165, 290},
	429,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound3,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound2,
		/* [4] */
		OK, visible, sound3,
	},
		centerParentWindowScreen,
};

resource 'STR#' (366, purgeable) {
	{
		"Save File As:",
		"Untitled #",
		"closing",
		"quitting"
	}
};

resource 'DITL' (430, purgeable) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{78, 173, 98, 343},
		Button {
			enabled,
			"Hasta la vista, Baby!"
		},
		/* [2] */
		{31, 74, 68, 257},
		StaticText {
			disabled,
			"I know Miss Manners wouldn't approve it"
			"but we only run under system 7."
		}
	}
};

resource 'ALRT' (430, purgeable) {
	{50, 30, 165, 290},
	430,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound3,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound2,
		/* [4] */
		OK, visible, sound3,
	},
		centerParentWindowScreen,
};


/* this ALRT and DITL are used as an error screen */

resource 'ALRT' (rUserAlert, purgeable) {
	{40, 20, 126, 326},
	rUserAlert,
	{ /* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
		centerParentWindowScreen,
};


resource 'DITL' (rUserAlert, purgeable) {
	{ /* array DITLarray: 3 elements */
		/* [1] */
		{51, 209, 70, 290},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 60, 30, 300},
		StaticText {
			disabled,
			"Error occurred"
		},
		/* [3] */
		{8, 8, 40, 40},
		Icon {
			disabled,
			2
		}
	}
};


/* this ALRT and DITL are used to tell the user that PrGeneral is not available,   */
/* but, you will still be able to print with the current printer...                */

resource 'ALRT' (rNOPrGeneralAlert, purgeable) {
	{40, 20, 155, 470},
	rNOPrGeneralAlert,
	{ /* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	},
		centerParentWindowScreen,
};

resource 'DITL' (rNOPrGeneralAlert, purgeable) {
	{ /* array DITLarray: 3 elements */
		/* [1] */
		{80, 350, 100, 430},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 60, 65, 445},
		StaticText {
			disabled,
			"PrGeneral is NOT available for the current printer.  You will not be able to use the features of PrGeneral, but PrGeneral Play will still print..."
		},
	}
};

resource 'ALRT' (131, purgeable) {
	{50, 30, 252, 410},
	500,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound3,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound2,
		/* [4] */
		OK, visible, sound3
	},
	centerParentWindowScreen
};

resource 'DITL' (500) {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{158, 156, 178, 214},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{65, 55, 133, 325},
		StaticText {
			disabled,
			"The poster picture for the movie  ^0 c"
			"ould not be created. You may set the pos"
			"ter in the And ... menu and try again."
		}
	}
};

